import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientStatusSchema } from '../enums/PatientStatus.schema';
import { AppointmentProcedureUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema as AppointmentProcedureUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema } from './AppointmentProcedureUncheckedCreateNestedManyWithoutAppointmentInput.schema';
import { ClaimUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema as ClaimUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema } from './ClaimUncheckedCreateNestedManyWithoutAppointmentInput.schema';
import { AppointmentFileUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema as AppointmentFileUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema } from './AppointmentFileUncheckedCreateNestedManyWithoutAppointmentInput.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  patientId: z.number().int(),
  staffId: z.number().int(),
  npiProviderId: z.number().int().optional().nullable(),
  title: z.string(),
  date: z.coerce.date(),
  startTime: z.string(),
  endTime: z.string(),
  type: z.string(),
  typeLocked: z.boolean().optional(),
  notes: z.string().optional().nullable(),
  procedureCodeNotes: z.string().optional().nullable(),
  status: z.string().optional(),
  movedByAi: z.boolean().optional(),
  createdAt: z.coerce.date().optional(),
  eligibilityStatus: PatientStatusSchema.optional(),
  procedures: z.lazy(() => AppointmentProcedureUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema).optional(),
  claims: z.lazy(() => ClaimUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema).optional(),
  files: z.lazy(() => AppointmentFileUncheckedCreateNestedManyWithoutAppointmentInputObjectSchema).optional()
}).strict();
export const AppointmentUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.AppointmentUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentUncheckedCreateWithoutUserInput>;
export const AppointmentUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
